/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\ML Minor Artys\artifacts\Windsong.cs
Lines of code: 38
***********************************************************/


using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x2D2B, 0x2D1F )]
	public class Windsong : ElvenCompositeLongbow
	{
		public override int LabelNumber{ get{ return 1075031; } } // Windsong
		
		public override WeaponAbility PrimaryAbility{ get{ return WeaponAbility.LightningArrow; } }
		public override WeaponAbility SecondaryAbility{ get{ return WeaponAbility.PsychicAttack; } }		
		

	
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public Windsong()
		{	
			ItemID=0x2D1F;
			Hue =0x4F3;
			WeaponAttributes.Velocity=25;
			Attributes.WeaponDamage = 35;
			WeaponAttributes.SelfRepair=3;
			
			AosElementDamages.Physical=100;		
		}

		public Windsong( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}